commit 3d4b32234a2f34d3e2c9006e571038f976abbdb7
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Mon Jun 17 17:11:39 2019 +0200

    cleanup some production destinations

diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java
index 855eb74a..dd80234f 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java
@@ -41,7 +41,7 @@ public class SynthesysCacheActivator {
 
 //  static final ICdmDataSource cdmDestination = CdmDestinations.mon_cdm();
 //    static DbSchemaValidation hbm2dll = DbSchemaValidation.CREATE;
-    static final ICdmDataSource cdmDestination = CdmDestinations.proibiosphere_chenopodium_local();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_proibiosphere_chenopodium();
     static DbSchemaValidation hbm2dll = DbSchemaValidation.VALIDATE;
     static final CHECK check = CHECK.IMPORT_WITHOUT_CHECK;
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
index 635b39a2..0b54ea24 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
@@ -291,7 +291,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
     }
 
-    public static ICdmDataSource cdm_germanSL_production(){
+    public static ICdmDataSource cdm_production_germanSL(){
         DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
         String cdmServer = "160.45.63.171";
         String cdmDB = "cdm_production_rl_german_sl";
@@ -340,7 +340,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
     }
 
-    public static ICdmDataSource cdm_mexico_rubiaceae_production(){
+    public static ICdmDataSource cdm_production_mexico_rubiaceae(){
         DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
         String cdmServer = "160.45.63.171";
         String cdmDB = "cdm_production_rubiaceae_mexico";
@@ -598,7 +598,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
     }
 
-    public static ICdmDataSource cdm_salvador_production(){
+    public static ICdmDataSource cdm_production_salvador(){
         DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
         String cdmServer = "160.45.63.171";
         String cdmDB = "cdm_production_salvador";
@@ -702,7 +702,7 @@ public class CdmDestinations {
 		return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
 	}
 
-   public static ICdmDataSource proibiosphere_chenopodium_local() {
+   public static ICdmDataSource cdm_local_proibiosphere_chenopodium() {
         DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
         String cdmServer = "localhost";
         String cdmDB = "cdm_production_proibiosphere_chenopodium_pilot";
@@ -710,7 +710,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
    }
 
-   public static ICdmDataSource proibiosphere_spiders_local() {
+   public static ICdmDataSource cdm_local_proibiosphere_spiders() {
        DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
        String cdmServer = "localhost";
        String cdmDB = "cdm_production_proibiosphere_spiders_pilot";
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoBorhidiActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoBorhidiActivator.java
index 4eeb8e8c..7a155066 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoBorhidiActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoBorhidiActivator.java
@@ -39,7 +39,7 @@ public class MexicoBorhidiActivator {
 
 //    static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
   static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_mexico_rubiaceae_production();
+//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_mexico_rubiaceae();
 
     static boolean invers = true;
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoConabioActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoConabioActivator.java
index e5b0ef22..39b67aa4 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoConabioActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/mexico/MexicoConabioActivator.java
@@ -45,7 +45,7 @@ public class MexicoConabioActivator {
 
 //    static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_mexico_rubiaceae_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_mexico_rubiaceae();
 
     static final boolean doTaxa = true;
     static final boolean doDistributions = true;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java
index eeaba89c..b04234f8 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java
@@ -37,7 +37,7 @@ public class SpecimenImportActivator {
 
 
 
-    static final ICdmDataSource cdmDestination = CdmDestinations.proibiosphere_chenopodium_local();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_proibiosphere_chenopodium();
     //check - import
     static final CHECK check = CHECK.IMPORT_WITHOUT_CHECK;
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java
index 9f1ecf86..68de19b3 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java
@@ -40,7 +40,7 @@ public class SynthesysCacheActivator {
     final static String xmlSource = "/home/pkelbert/Documents/Proibiosphere/ChenopodiumQuentin/dca UK records.xls";
 
 
-    static final ICdmDataSource cdmDestination = CdmDestinations.proibiosphere_spiders_local();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_proibiosphere_spiders();
     static DbSchemaValidation hbm2dll = DbSchemaValidation.VALIDATE;
     //    static final ICdmDataSource cdmDestination = CdmDestinations.proibiosphere_local();
     //    static DbSchemaValidation hbm2dll = DbSchemaValidation.VALIDATE;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/GermanSLActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/GermanSLActivator.java
index 81d08b06..762667c6 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/GermanSLActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/GermanSLActivator.java
@@ -37,7 +37,7 @@ public class GermanSLActivator {
     static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
 //    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_redlist_germanSL_preview();
-//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_germanSL_production();
+//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_germanSL();
 
     static String versionString = "version_1_3_4";
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/RedListGefaesspflanzenExcelActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/RedListGefaesspflanzenExcelActivator.java
index 999d7852..2238e30e 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/RedListGefaesspflanzenExcelActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/redlist/RedListGefaesspflanzenExcelActivator.java
@@ -32,7 +32,9 @@ public class RedListGefaesspflanzenExcelActivator {
 	static final URI mySource = redListPlantaeChecklist();
 
 //	static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
-	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_test_mysql();
+//	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_test_mysql();
+	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_cdmtest_mysql();
+
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_redlist_gefaesspflanzen();
 
 	//feature tree uuid
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorActivator.java
index 42586a4c..ed539e6a 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorActivator.java
@@ -53,7 +53,7 @@ public class SalvadorActivator {
 	static final Source berlinModelSource = BerlinModelSources.El_Salvador();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_salvador_preview();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_salvador_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_salvador();
 	static final UUID treeUuid = UUID.fromString("b010c84d-6049-45f4-9f13-c065101eaa26");
 	static final UUID secUuid = UUID.fromString("d03ef02a-f226-4cb1-bdb4-f6c154f08a34");
 	static final int sourceSecId = 7331;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorSpecimenActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorSpecimenActivator.java
index 5be078a4..aefda520 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorSpecimenActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/SalvadorSpecimenActivator.java
@@ -37,7 +37,7 @@ public class SalvadorSpecimenActivator {
 
 //    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
     static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_salvador();
-//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_salvador_production();
+//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_salvador();
 
     //check - import
     static final CHECK check = CHECK.IMPORT_WITHOUT_CHECK;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/TestSalvadorAreaMapping.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/TestSalvadorAreaMapping.java
index 2923110c..e56aba4b 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/TestSalvadorAreaMapping.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/salvador/TestSalvadorAreaMapping.java
@@ -38,7 +38,7 @@ public class TestSalvadorAreaMapping {
 
 //    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
 //    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_salvador_preview();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_salvador_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_salvador();
 
 
     protected void doTest(ICdmDataSource cdmDestination){