commit 43142f39e09088d4504cf5e1b8f7d8a585702fd1
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Wed Jan 9 12:12:01 2019 +0100

    ref #1444 add new erms source

diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
index dbd86616..5504e3cf 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
@@ -52,17 +52,8 @@ public class CdmDestinations {
 	public static ICdmDataSource cdm_test_local_mysql_erms(){
 		DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
 		String cdmServer = "127.0.0.1";
-		String cdmDB = "erms";
-		String cdmUserName = "root";
-		return CdmDestinations.makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
-	}
-
-
-	public static ICdmDataSource cdm_test_local_mysql_erms2(){
-		DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
-		String cdmServer = "127.0.0.1";
-		String cdmDB = "erms2";
-		String cdmUserName = "root";
+		String cdmDB = "pesi_erms";
+		String cdmUserName = "edit";
 		return CdmDestinations.makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
 	}
 
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/ErmsActivator.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/ErmsActivator.java
index 99d122e0..348fe5bd 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/ErmsActivator.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/ErmsActivator.java
@@ -41,7 +41,8 @@ public class ErmsActivator {
 
 	//database validation status (create, update, validate ...)
 	static DbSchemaValidation hbm2dll = DbSchemaValidation.CREATE;
-	static final Source ermsSource = PesiSources.PESI3_ERMS();
+//	static final Source ermsSource = PesiSources.PESI3_ERMS();
+	static final Source ermsSource = PesiSources.PESI2019_ERMS();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_pesi_erms();
 	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_erms();
 	static final UUID treeUuid = UUID.fromString("6fa988a9-10b7-48b0-a370-2586fbc066eb");
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiSources.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiSources.java
index e8c43fd2..b4212aaa 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiSources.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiSources.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -22,7 +22,7 @@ import eu.etaxonomy.cdm.io.common.Source;
 public class PesiSources {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(PesiSources.class);
-	
+
 	public static Source faunEu_pesi3(){
 		//	Fauna Europaea auf pesiimport3
 		String dbms = Source.SQL_SERVER_2008;
@@ -32,7 +32,7 @@ public class PesiSources {
 		String userName = "pesiExportFaunaEu";
 		return  ImportUtils.makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
+
 	public static Source mfn_faunEu_pesi3(){
 		//	Fauna Europaea auf pesiimport3
 		String dbms = Source.SQL_SERVER_2008;
@@ -42,7 +42,7 @@ public class PesiSources {
 		String userName = "pesiExportFaunaEu";
 		return  ImportUtils.makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
+
 	public static Source faunEu(){
 		//	Fauna Europaea
 		String dbms = Source.SQL_SERVER_2008;
@@ -52,7 +52,7 @@ public class PesiSources {
 		String userName = "WebUser";
 		return  ImportUtils.makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
+
 	public static Source faunaEu_previous(){
 		//	Fauna Europaea
 		String dbms = Source.SQL_SERVER_2008;
@@ -71,7 +71,7 @@ public class PesiSources {
 		String userName = "WebUser";
 		return  ImportUtils.makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
+
 	public static Source PESI_ERMS(){
 		//	BerlinModel - Pesi-ERMS
 		String dbms = Source.SQL_SERVER_2008;
@@ -81,8 +81,8 @@ public class PesiSources {
 		String userName = "WebUser";
 		return  makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
-	
+
+
 	public static Source PESI3_ERMS(){
 		//	BerlinModel - Pesi-ERMS
 		String dbms = Source.SQL_SERVER_2008;
@@ -92,7 +92,17 @@ public class PesiSources {
 		String userName = "pesiexport";
 		return  makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
+
+   public static Source PESI2019_ERMS(){
+        //  BerlinModel - Pesi-ERMS
+        String dbms = Source.SQL_SERVER_2008;
+        String strServer = "BGBM-PESISQL\\SQLEXPRESS";
+        String strDB = "erms";
+        int port = 1434;
+        String userName = "pesiimport";
+        return  makeSource(dbms, strServer, strDB, port, userName, null);
+    }
+
 	public static Source PESI3_IF(){
 		//	BerlinModel - Pesi-ERMS
 		String dbms = Source.SQL_SERVER_2008;
@@ -102,7 +112,7 @@ public class PesiSources {
 		String userName = "pesiExportFaunaEu";
 		return  makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
+
 	public static Source PESI_IF(){
 		//	BerlinModel - Pesi-IF
 		String dbms = Source.SQL_SERVER_2008;
@@ -112,7 +122,7 @@ public class PesiSources {
 		String userName = "WebUser";
 		return  makeSource(dbms, strServer, strDB, port, userName, null);
 	}
-	
+
 	/**
 	 * Initializes the source.
 	 * @param dbms
@@ -128,12 +138,12 @@ public class PesiSources {
 		Source source = null;
 		source = new Source(dbms, strServer, strDB);
 		source.setPort(port);
-			
+
 		pwd = AccountStore.readOrStorePassword(dbms, strServer, userName, pwd);
 		source.setUserAndPwd(userName, pwd);
 		// write pwd to account store
 		return source;
 	}
 
-	
+
 }