commit 0f56664f1e0ee9c1f8c2c5e455af8d2cb885c2e4
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Wed Nov 3 22:01:10 2021 +0100

    remove seperate config package for NonReferencedObjectsDeleterConfigurator

diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/NonReferencedObjectsDeleter.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/NonReferencedObjectsDeleter.java
index 547847183d..4483d42c2a 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/NonReferencedObjectsDeleter.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/NonReferencedObjectsDeleter.java
@@ -16,7 +16,6 @@ import org.springframework.stereotype.Component;
 import eu.etaxonomy.cdm.api.service.DeleteResult;
 import eu.etaxonomy.cdm.io.common.CdmImportBase;
 import eu.etaxonomy.cdm.io.common.DefaultImportState;
-import eu.etaxonomy.cdm.io.operation.config.NonReferencedObjectsDeleterConfigurator;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
 import eu.etaxonomy.cdm.model.reference.Reference;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/NonReferencedObjectsDeleterConfigurator.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/NonReferencedObjectsDeleterConfigurator.java
new file mode 100644
index 0000000000..938403bc9c
--- /dev/null
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/NonReferencedObjectsDeleterConfigurator.java
@@ -0,0 +1,100 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.io.operation;
+
+import org.apache.log4j.Logger;
+
+import eu.etaxonomy.cdm.api.service.config.CacheUpdaterConfigurator;
+import eu.etaxonomy.cdm.database.DbSchemaValidation;
+import eu.etaxonomy.cdm.database.ICdmDataSource;
+import eu.etaxonomy.cdm.io.common.DefaultImportState;
+import eu.etaxonomy.cdm.io.common.ImportConfiguratorBase;
+import eu.etaxonomy.cdm.io.common.ImportStateBase;
+import eu.etaxonomy.cdm.model.reference.Reference;
+
+/**
+ * @author k.luther
+ * @since 2015
+ */
+public class NonReferencedObjectsDeleterConfigurator
+        extends ImportConfiguratorBase<DefaultImportState<NonReferencedObjectsDeleterConfigurator>, Object> {
+
+    private static final long serialVersionUID = -3063590000817699527L;
+    @SuppressWarnings("unused")
+    private static final Logger logger = Logger.getLogger(CacheUpdaterConfigurator.class);
+
+	private boolean doReferences = true;
+	private boolean doAuthors = true;
+
+	private boolean isKeepReferencesWithTitle = false;
+	private boolean isKeepRisSources = false;
+
+	public NonReferencedObjectsDeleterConfigurator() {
+		super(null);
+	}
+
+	public NonReferencedObjectsDeleterConfigurator(ICdmDataSource destination) {
+		super(null);
+		this.setSource(destination);
+		this.setDestination(destination);
+		this.setDbSchemaValidation(DbSchemaValidation.UPDATE);
+	}
+
+	public static NonReferencedObjectsDeleterConfigurator NewInstance(ICdmDataSource destination){
+		NonReferencedObjectsDeleterConfigurator result = new NonReferencedObjectsDeleterConfigurator(destination);
+		return result;
+	}
+
+	@SuppressWarnings({ "rawtypes", "unchecked" })
+    @Override
+	public <STATE extends ImportStateBase> STATE getNewState() {
+		return (STATE) new DefaultImportState(this);
+	}
+
+	@SuppressWarnings("unchecked")
+    @Override
+	protected void makeIoClassList() {
+		ioClassList = new Class[]{
+				 NonReferencedObjectsDeleter.class
+		};
+	}
+
+    public boolean isDoReferences() {
+        return doReferences;
+    }
+    public void setDoReferences(boolean doReferences) {
+        this.doReferences = doReferences;
+    }
+
+    public boolean isDoAuthors() {
+        return doAuthors;
+    }
+    public void setDoAuthors(boolean doAuthors) {
+        this.doAuthors = doAuthors;
+    }
+
+    public boolean isKeepReferencesWithTitle() {
+        return isKeepReferencesWithTitle;
+    }
+    public void setKeepReferencesWithTitle(boolean isKeepReferencesWithTitle) {
+        this.isKeepReferencesWithTitle = isKeepReferencesWithTitle;
+    }
+
+    public boolean isKeepRisSources() {
+        return isKeepRisSources;
+    }
+    public void setKeepRisSources(boolean isKeepRisSources) {
+        this.isKeepRisSources = isKeepRisSources;
+    }
+
+    @Override
+    public Reference getSourceReference() {
+        return null;
+    }
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/config/NonReferencedObjectsDeleterConfigurator.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/config/NonReferencedObjectsDeleterConfigurator.java
deleted file mode 100644
index df2060ba2c..0000000000
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/operation/config/NonReferencedObjectsDeleterConfigurator.java
+++ /dev/null
@@ -1,100 +0,0 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-package eu.etaxonomy.cdm.io.operation.config;
-
-import org.apache.log4j.Logger;
-
-import eu.etaxonomy.cdm.api.service.config.CacheUpdaterConfigurator;
-import eu.etaxonomy.cdm.database.DbSchemaValidation;
-import eu.etaxonomy.cdm.database.ICdmDataSource;
-import eu.etaxonomy.cdm.io.common.DefaultImportState;
-import eu.etaxonomy.cdm.io.common.ImportConfiguratorBase;
-import eu.etaxonomy.cdm.io.common.ImportStateBase;
-import eu.etaxonomy.cdm.io.operation.NonReferencedObjectsDeleter;
-import eu.etaxonomy.cdm.model.reference.Reference;
-
-/**
- * @author k.luther
- * @since 2015
- */
-public class NonReferencedObjectsDeleterConfigurator
-        extends ImportConfiguratorBase<DefaultImportState<NonReferencedObjectsDeleterConfigurator>, Object> {
-
-    private static final long serialVersionUID = -3063590000817699527L;
-    @SuppressWarnings("unused")
-    private static final Logger logger = Logger.getLogger(CacheUpdaterConfigurator.class);
-
-	private boolean doReferences = true;
-	private boolean doAuthors = true;
-
-	private boolean isKeepReferencesWithTitle = false;
-	private boolean isKeepRisSources = false;
-
-	public NonReferencedObjectsDeleterConfigurator() {
-		super(null);
-	}
-
-	public NonReferencedObjectsDeleterConfigurator(ICdmDataSource destination) {
-		super(null);
-		this.setSource(destination);
-		this.setDestination(destination);
-		this.setDbSchemaValidation(DbSchemaValidation.UPDATE);
-	}
-
-	public static NonReferencedObjectsDeleterConfigurator NewInstance(ICdmDataSource destination){
-		NonReferencedObjectsDeleterConfigurator result = new NonReferencedObjectsDeleterConfigurator(destination);
-		return result;
-	}
-
-	@Override
-	public <STATE extends ImportStateBase> STATE getNewState() {
-		return (STATE) new DefaultImportState(this);
-	}
-
-	@SuppressWarnings("unchecked")
-    @Override
-	protected void makeIoClassList() {
-		ioClassList = new Class[]{
-				 NonReferencedObjectsDeleter.class
-		};
-	}
-
-    public boolean isDoReferences() {
-        return doReferences;
-    }
-    public void setDoReferences(boolean doReferences) {
-        this.doReferences = doReferences;
-    }
-
-    public boolean isDoAuthors() {
-        return doAuthors;
-    }
-    public void setDoAuthors(boolean doAuthors) {
-        this.doAuthors = doAuthors;
-    }
-
-    public boolean isKeepReferencesWithTitle() {
-        return isKeepReferencesWithTitle;
-    }
-    public void setKeepReferencesWithTitle(boolean isKeepReferencesWithTitle) {
-        this.isKeepReferencesWithTitle = isKeepReferencesWithTitle;
-    }
-
-    public boolean isKeepRisSources() {
-        return isKeepRisSources;
-    }
-    public void setKeepRisSources(boolean isKeepRisSources) {
-        this.isKeepRisSources = isKeepRisSources;
-    }
-
-    @Override
-    public Reference getSourceReference() {
-        return null;
-    }
-}